import { buildTx } from "../../../../helper-func-types";
import { toEncoders, toConverters } from "@interchainjs/cosmos/utils";
import { MsgTransfer, MsgUpdateParams } from "./tx";
export const createTransfer = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgTransfer.typeUrl,
    encoders: toEncoders(MsgTransfer),
    converters: toConverters(MsgTransfer)
});
export const createUpdateParams = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgUpdateParams.typeUrl,
    encoders: toEncoders(MsgUpdateParams),
    converters: toConverters(MsgUpdateParams)
});
